Subject: Re: [PATCH 1/2] powerpc/kexec: Reset secondary cpu endianess before kexec

From: Scott Wood <[email-masked]>
Date: Thu, 9 Jul 2015 15:27:37 -0500

On Thu, 2015-07-09 at 10:42 -0500, Segher Boessenkool wrote:
> On Tue, Jul 07, 2015 at 11:22:08PM -0500, Scott Wood wrote:
> > > I agree about using labels, but "bcl 20,31,foo" is not the same thing
> > > as "bl foo".  The former is a form of bl that doesn't perturb the link
> > > stack and is therefore better for performance when you're not going to
> > > do a matching blr later (not that performance is at all critical
> > > here).
> > 
> > If performance mattered I would have complained about the extra mfmsr. :-)
> > 
> > I see that some other parts of the kernel are using that bcl instruction, 
> > but 
> > if it is actually worthwhile in those places, it'd be nice to at least 
> > stick 
> > it in a macro for readability...
> 
> How is that going to help?  It's just idiom; replacing it with some other
> idiom only means people already used to the 20,31 thing (which is quite old
> by now, btw.; 74xx days) will have to learn the new thing.

That's fine for people who are used to it (especially if it's the only number-
based bc they routinely come across), but I had to look up what it meant.  
Simplified mnemonics exist for a reason.

> Unless you can think of a nice short name that can even be made an extended
> mnemonic?

For a macro I was thinking "BL_NORET" but for a mnemonic it'd probably be 
shortened to something like "blnr".

-Scott